> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create API Key.

> Create a new API key for the authenticated account. Use a standard API key (ak_) or a restricted key (rk_) with RESOURCE_TYPE_ACCOUNT write scope.



## OpenAPI

````yaml /openapi-specs/stainless-processed-openapi.json post /v1/apikeys
openapi: 3.1.0
info:
  title: RunLoop API
  version: '0.1'
  description: >-
    The RunLoop API spec that allows you to host lambda functions and Devboxes
    to enable scaled long running ai workflows.
  contact:
    name: Runloop AI Support
    url: https://runloop.ai
    email: support@runloop.ai
servers:
  - url: https://api.runloop.ai
    description: Runloop API
    variables: {}
security:
  - bearerAuth: []
tags:
  - name: Benchmark
  - name: Blueprint
  - name: Blueprint-Lifecycle
  - name: Blueprint-ObservabilityTools
  - name: Devbox
  - name: Devbox-FileTools
  - name: Devbox-Lifecycle
  - name: Devbox-NetworkTools
  - name: Devbox-ObservabilityTools
  - name: Devbox-PersistenceTools
  - name: Devbox-ShellTools
  - name: Scenario
  - name: ScenarioScorer
  - name: accounts
  - name: agents
  - name: apikeys
  - name: axons
  - name: executions
  - name: gateway-configs
  - name: mcp-configs
  - name: network-policies
  - name: objects
  - name: restricted_keys
  - name: secrets
  - name: streaming
paths:
  /v1/apikeys:
    post:
      tags:
        - apikeys
      summary: Create API Key.
      description: >-
        Create a new API key for the authenticated account. Use a standard API
        key (ak_) or a restricted key (rk_) with RESOURCE_TYPE_ACCOUNT write
        scope.
      operationId: createAPIKey
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiKeyCreateParameters'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyCreatedView'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Runloop from '@runloop/api-client';

            const client = new Runloop({
              bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
            });

            const apiKeyCreatedView = await client.apikeys.create();

            console.log(apiKeyCreatedView.id);
        - lang: Python
          source: |-
            import os
            from runloop_api_client import Runloop

            client = Runloop(
                bearer_token=os.environ.get("RUNLOOP_API_KEY"),  # This is the default and can be omitted
            )
            api_key_created_view = client.apikeys.create()
            print(api_key_created_view.id)
components:
  schemas:
    ApiKeyCreateParameters:
      type: object
      properties:
        name:
          type: string
        expires_at_ms:
          format: int64
          type:
            - integer
            - 'null'
    ApiKeyCreatedView:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        key_secret:
          type: string
        expires_at_ms:
          format: int64
          type:
            - integer
            - 'null'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````